package cn.wise.sc.energy.power.plant.business.domain;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

import java.util.List;

/**
 * @description: 一键巡检检测项
 * @author: qh
 * @create: 2020-08-17 10:23
 **/
@Data
public class DetectionItem {

    /**
     * 诊断ID uuid
     */
    private String id;

    /**
     * 有正值表示诊断完成。默认-1。-2表示需要交互
     */
    private String grade;

    /**
     * 监测单元名称
     */
    @JSONField(name = "unitname")
    private String unitName;

    /**
     * Kks码
     */
    @JSONField(name = "kkscode")
    private String kKSCode;

    /**
     * 测值
     */
    @JSONField(name = "cpdata")
    private String cpData;

    /**
     * 监测特征的物理单位，如 um/mm 等
     */
    @JSONField(name = "cpunit")
    private String cpUnit;

    /**
     * 特征参数警下限值
     */
    @JSONField(name = "alertruleminvalue")
    private String alertRuleMinvalue;

    /**
     * 特征参数报警上限值
     */
    @JSONField(name = "alertrulemaxvalue")
    private String alertRuleMaxvalue;

    /**
     * 是否超标
     */
    private String overweight;

    /**
     * 交互内容
     */
    private Interaction interaction;

    @Data
    public static class Interaction{
        /**
         * 会话id
         */
        private String id;

        /**
         * 问题id
         */
        private String qid;

        /**
         * 问题描述
         */
        private String name;

        /**
         * 图表数据
         */
        private String data;
        /**
         * 选项内容
         */
        private String select;
    }

    /**
     * 交互结果对象
     */
    @Data
    public static class InteractionResult{

        /**
         * 会话id
         */
        private String id;

        /**
         * 问题id
         */
        private String qid;

        /**
         * 选项下标
         */
        private List<Integer> select;

    }
}
