package cn.wise.sc.energy.power.plant.business.domain;

import cn.wise.sc.energy.power.plant.business.domain.eum.ItemNameEnum;
import lombok.Data;

import javax.persistence.Entity;
import javax.persistence.EnumType;
import javax.persistence.Enumerated;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * @description: 运行时选项设置信息
 * @author: qh
 * @create: 2020-07-14 09:41
 **/
@Data
@Entity
@Table(name = "runtimeoptioninfo")
public class RuntimeOptionInfo extends AbstractEntity<Long>{

    @Id
    private Long id;
    /**
     * 监测特征所属电站的标识
     */
    private String plantId;
    /**
     * 监测特征所属设备的标识
     */
    private String deviceId;
    /**
     * 监测特征所属监测单元标识,
     */
    private String unitCodeId;
    /**
     * 配置项名称,如 ‘stableSaveTime’
     */
    @Enumerated(EnumType.STRING)
    private ItemNameEnum itemName;
    /**
     * 配置项取值: 如'1200'
     */
    private String itemValue;
    /**
     * 配置项值类型:
     * 0: 配置项值是整型
     * 1: 配置项值是浮点型
     */
    private String itemType;
}
