package cn.wise.sc.energy.power.plant.business.service;

import cn.wise.sc.energy.power.plant.business.domain.EventInfo;
import cn.wise.sc.energy.power.plant.business.domain.vo.EntityVo;
import cn.wise.sc.energy.power.plant.business.service.impl.EventInfoServiceImpl;
import java.util.List;

/**
 * @description: 事件记录服务层接口
 * @author: qh
 * @create: 2020-09-03 10:21
 **/
public interface IEventInfoService extends IBaseService<Long, EventInfo> {

    /**
     * 获取报警记录统计
     * @return list
     */
    List<EventInfoServiceImpl.AlertCount> countAlert();

    /**
     * 根据报警等级获取报警记录
     * @param state  等级
     * @return list
     */
    List<EntityVo> listByState(Integer state);

    /**
     * 根据测点名字获取报警记录
     * @param kKSCodes kks
     * @return 报警记录
     */
    List<EventInfo> getList(List<String> kKSCodes);
}
